%define fedora 19
# Review: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=173670

%global minorversion 0.5
%if 0%{?fedora} >= 18
    %global xfceversion 4.10
%else
    %global xfceversion 4.8
%endif

Name:           xfce4-wavelan-plugin
Version:        0.5.11
Release:        alt1_3
Summary:        WaveLAN plugin for the Xfce panel

Group:          Graphical desktop/Other
License:        BSD
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
#VCS: git:git://git.xfce.org/panel-plugins/xfce4-wavelan-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRequires:  libxfce4ui-devel >= 4.8.0
BuildRequires:  xfce4-panel-devel >= 4.8.0
BuildRequires:  gettext
BuildRequires:  intltool
Requires:       xfce4-panel >= %{xfceversion}
Source44: import.info

%description
A plugin for the Xfce panel that monitors a wireless LAN interface. It 
displays stats for signal state, signal quality and network name (SSID).

%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# FIXME: make sure debuginfo is generated properly (#795107)
chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/xfce4/panel/plugins/libwavelan.so
%{_datadir}/xfce4/panel/plugins/*.desktop

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.11-alt1_3
- initial fc import

